Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] 1.4.2 build problem
From: John Cary (cary_at_[hidden])
Date: 2010-06-02 10:14:22

On 6/2/10 7:33 AM, Jeff Squyres wrote:
> On Jun 1, 2010, at 5:27 PM, John R. Cary wrote:
>> After patching, I get:
> ...meaning that you have applied the patch that you sent yesterday?

> I applied the "fix the spaces after \ characters" patch to the trunk and release branches.

Thx. I am still working from 1.4.2 tarball.

> But as for why you're getting errors, Ralph asked yesterday how you configured Open MPI. What you're doing to the Makefile's *shouldn't* be necessary.

Sorry, I missed Ralph's question. I am doing the following configure with
the following system and gcc.

iter.cary$ head -1 configure.out; uname -a; gcc --version
--prefix=/usr/local/contrib/openmpi-1.4.2-nodl CC='gcc' CXX='g++'
FC='gfortran' F77='gfortran' --enable-static --with-pic --disable-dlopen
Linux #1 SMP Wed May 27
17:27:08 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
gcc (GCC) 4.4.0 20090506 (Red Hat 4.4.0-4)

I did discover that my previous configure had a wrong value for the
--with-wrapper-ldflags argument. Now all works.

It seems that the rpath arg is something that bites me over and again.
What are your thoughts about making this automatic?

Thx.....John Cary